Bug 1653436 - /etc/system-release-cpe indicates 7.6 beta on RHELAH
Summary: /etc/system-release-cpe indicates 7.6 beta on RHELAH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Djordje Todorovic
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 21:01 UTC by Micah Abbott
Modified: 2019-08-20 16:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 08:34:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0888 None None None 2019-04-25 08:34:01 UTC

Description Micah Abbott 2018-11-26 21:01:13 UTC
Compare the values between RHELAH 7.6.1 and 7.5.4:


# rpm-ostree status
State: idle; auto updates disabled
Deployments:
● ostree://custom:rhel-atomic-host/7/x86_64/standard
                   Version: 7.6.1 (2018-11-21 16:43:58)
                BaseCommit: 0092a3e37c7d42296dab2d4b2a131e513b45d984a2ea2a8f2a38b394c6a9f81d

# cat /etc/system-release-cpe
cpe:/o:redhat:enterprise_linux:7.6:beta:atomic-host


$ rpm-ostree status
State: idle; auto updates disabled                             
Deployments:                                    
● ostree://rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.5.4 (2018-09-21 20:00:44)
                    Commit: 519fd3f7efdfa5d0f6ecb0ab3cba84f95dbfa6b59e8a7176f3158adfaaa78334
              GPGSignature: Valid signature by 567E347AD0044ADE55BA8A5F199E2F91FD431D51

$ cat /etc/system-release-cpe
cpe:/o:redhat:enterprise_linux:7.5:ga:atomic-host



NOTE:  the RHELAH 7.6 release had the same issue:

$ rpm-ostree status
State: idle; auto updates disabled
Deployments:
● ostree://rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.6.0 (2018-10-26 16:59:22)
                    Commit: 4330ddfb4b9f84c63edcea17928cd5cf1f8688e3e3297a63c18097defebf97a4
              GPGSignature: Valid signature by 567E347AD0044ADE55BA8A5F199E2F91FD431D51

$ cat /etc/system-release-cpe 
cpe:/o:redhat:enterprise_linux:7.6:beta:atomic-host

Comment 19 errata-xmlrpc 2019-04-25 08:34:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0888


Note You need to log in before you can comment on or make changes to this bug.